Terminals

Learn how to interact with Stax's integrated WiFi hardware terminals through the API for seamless payment processing and transaction management.

Overview

Terminal is a resource within the Stax API that allows customers to interact with Stax's integrated WiFi hardware solutions. Transaction data captured via these terminals is available instantly through the Stax API. To see a listing of available devices, click here.

Getting Started

GET /terminal/register returns the WiFi terminals belonging to your account (identified by your JWT), including their REGISTER IDs. These terminals are pre-configured for your merchant account, and no additional API resources are needed to set up the terminal for your account.

Transaction Operations

Charging Transactions

POST /terminal/charge/queue - Initiates a charge to the terminal and returns an ID instantly, before the transaction is completed.

POST /terminal/charge - Requests the user to insert their card for a charge transaction.

Credit and Refund Operations

POST /terminal/credit - Requests the user to insert their card for a general credit transaction.

POST /terminal/void-or-refund - Requests either a void operation or prompts the customer to insert their card for a refund, depending on whether the transaction has been batched out. (RECOMMENDED)

POST /terminal/refund - Requests the user to insert their card for a refund transaction.

POST /terminal/void - Voids a transaction.

Terminal Interaction

POST /terminal/print - Prints a message on the terminal.

POST /terminal/promptInput - Requests the user to input text on the terminal.

POST /terminal/promptChoice - Requests the user to select from available choices on the terminal.

POST /terminal/prompt/signature - Requests the capture of a digital signature from the terminal.

Tokenization

POST /terminal/tokenize - Requests the user to swipe their card for tokenization without processing a charge.

Transaction Status

GET /terminal/registerId/status/transactionId - Returns the status of the transaction from the terminal itself and prints a receipt.